{*kontaktOsoby*}
<section class="bg-light mb-3">
    <h4 class="bg-secondary text-white p-2 mb-0">Kontaktní osoby</h4>
    <div class="d-flex justify-content-end border-bottom py-2 px-3">
        {control novaOsoba}
    </div>
    <div class="row px-3">
        <div class="col-12">
            {*seznam*}
            {snippet list}
                {*====== PAGINATOR ========*}
                {if (!empty($osoby))}
                    <nav class="py-2">
                        <ul class="pagination justify-content-center mb-0">
                            {if $paginator->isFirst()}
                                <li class="page-item disabled">
                                    <a class="page-link" href="#">
                                        <i class="fa-solid fa-chevron-left"></i>
                                    </a>
                                </li>
                            {/if}
                            {if !$paginator->isFirst()}
                                <li class="page-item">
                                    <a class="page-link ajax" n:href="page! $page - 1">
                                        <i class="fa-solid fa-chevron-left"></i>
                                    </a>
                                </li>
                            {/if}
                            {for $i = $left; $i <= $right; $i++}
                                {if $i == $paginator->page}
                                    <li class="page-item active"><span class="page-link">{$i}</span></li>
                                {else}
                                    <li class="page-item"><a class="page-link ajax" n:href="page! $i">{$i}</a></li>
                                {/if}
                            {/for}
                            {if !$paginator->isLast()}
                                <li class="page-item">
                                    <a class="page-link ajax" n:href="page! $page + 1">
                                        <i class="fa-solid fa-chevron-right"></i>
                                    </a>
                                </li>
                            {/if}
                            {if $paginator->isLast()}
                                <li class="page-item disabled">
                                    <a class="page-link" href="#">
                                        <i class="fa-solid fa-chevron-right"></i>
                                    </a>
                                </li>
                            {/if}
                        </ul>
                    </nav>
                {/if}
                {*====== TABLE ========*}
                <section>
                    <div class="table-responsive">
                        <table class="table table-striped table-responsive">
                            <thead>
                            <tr>
                                <th scope="col">Jméno</th>
                                <th scope="col">Funkce</th>
                                <th scope="col">Telefon</th>
                                <th scope="col">Email</th>
                                <th scope="col"></th>
                                <th scope="col"></th>
                            </tr>
                            </thead>
                            <tbody>
                            {if (!empty($osoby))}
                                {foreach $osoby as $one}
                                    <tr>
                                        <td>{$one->jmeno}</td>
                                        <td>{$one->funkce}</td>
                                        <td>{$one->tel}</td>
                                        <td>{$one->email}</td>
                                        <td>
                                            {if $one->sort != 1}
                                                <a n:href="sortUp! $one->id" class="ajax btn btn-outline-primary me-3">
                                                    <i class="fa-solid fa-angle-up"></i>
                                                </a>
                                            {/if}
                                            {if $one->sort != $count}
                                                <a n:href="sortDown! $one->id" class="ajax btn btn-outline-primary me-3">
                                                    <i class="fa-solid fa-angle-down"></i>
                                                </a>
                                            {/if}
                                        </td>
                                        <td>
                                            <div  class="d-flex justify-content-end align-items-center gap-3">
                                                {control editOsoba-$one->id}
                                                {control vymazOsoba-$one->id}
                                            </div>
                                        </td>
                                    </tr>
                                {/foreach}
                            {else}
                                <tr>
                                    <td colspan="6" class="text-center">
                                        Žádná data k zobrazení
                                    </td>
                                </tr>
                            {/if}
                            </tbody>
                        </table>
                    </div>
                </section>
            {/snippet}
        </div>
    </div>
</section>
